

.oudilux-slider {


    --slide-spacing: 1rem;
    overflow: hidden !important;
    --slide-size: 25%;
    position: relative;
}


/*.oudilux-slider-home-page  {*/

/*    margin: auto;*/
/*    --slide-height: 90vh;*/
/*    --slide-spacing: 1rem;*/
/*    --slide-size: 100%;*/
/*    overflow: hidden !important;*/
/*}*/

.embla {

    margin: auto;
    --slide-height: 90vh;
    --slide-spacing: 1rem;
    --slide-size: 100%;
    overflow: hidden !important;
}

.embla__viewport {
    overflow: hidden !important;
}






.oudilux-slider-controls {
    display: grid;
    grid-template-columns: auto 1fr;
    justify-content: space-between;
    gap: 1.2rem;
    margin-top: 1.8rem;
}

.oudilux-slider-buttons {
    position: absolute;
    top: 50%;
    left: 0;
    right: 0;
    transform: translateY(-50%);
    pointer-events: none; /* allows clicks only on buttons */
}




.oudilux-slider-button {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    pointer-events: auto; /* re-enable clicks */
    background: #bb9446;
    border: none;
    color: white;
    padding: 10px;
    cursor: pointer;
    z-index: 10;
}
.oudilux-slider-button:hover{
    background: #a87f35;
}

.oudilux-slider-button-prev {
    left: 10px;
}

.oudilux-slider-button-next {
    right: 10px;
}















.embla__container {
    display: flex;
    touch-action: pan-y pinch-zoom;
    margin-left: calc(var(--slide-spacing) * -1);
}


.embla__slide {
    transform: translate3d(0, 0, 0);
    flex: 0 0 var(--slide-size);
    min-width: 0;
    padding-left: var(--slide-spacing);
}

.embla__slide__number {
    box-shadow: inset 0 0 0 0.2rem var(--detail-medium-contrast);
    border-radius: 1.8rem;
    font-size: 4rem;
    font-weight: 600;
    display: flex;
    align-items: center;
    justify-content: center;
    height: var(--slide-height);
    user-select: none;
}

.embla__controls {
    display: grid;
    grid-template-columns: auto 1fr;
    justify-content: space-between;
    gap: 1.2rem;
    margin-top: 1.8rem;
}

.embla__buttons {
    position: absolute;
    top: 50%;
    left: 0;
    right: 0;
    transform: translateY(-50%);
    pointer-events: none; /* allows clicks only on buttons */
}

.embla__button {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    pointer-events: auto; /* re-enable clicks */
    background: rgba(0, 0, 0, 0.5);
    border: none;
    color: white;
    padding: 10px;
    cursor: pointer;
    z-index: 10;
}

.embla__button--prev {
    left: 10px;
}

.embla__button--next {
    right: 10px;
}


.embla__button:disabled {
    color: var(--detail-high-contrast);
}

.embla__button__svg {
    width: 35%;
    height: 35%;
}

.embla__dots {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    margin-right: calc((2.6rem - 1.4rem) / 2 * -1);
    z-index: 100 !important;
    gap: 10px;
    padding-bottom: 10px;
}

.embla__dot {
    -webkit-tap-highlight-color: rgba(var(--text-high-contrast-rgb-value), 0.5);
    -webkit-appearance: none;
    appearance: none;
    background-color:  #B9893E;

    z-index: 1000 !important;
    touch-action: manipulation;
    text-decoration: none;
    cursor: pointer;
    border: 0;
    padding: 0;
    margin: 0;
    width: 2rem;
    height: 0.5rem;
    display: flex;
    align-items: center;
    justify-content: center;
    /*border-radius: 50%;*/

}

.embla__dot:after {
    box-shadow: inset 0 0 0 0.2rem var(--detail-medium-contrast);
    width: 1.4rem;
    height: 1.4rem;
    /*border-radius: 50%;*/
    display: flex;
    align-items: center;
    content: '';
}

.embla__dot--selected:after {
    /*box-shadow: inset 0 0 0 0.2rem var(--text-body);*/
    background: #F5E6D3;
    width: 2rem;
    height: 0.5rem;
}


